Bug 459191 - RFE - plymouth boot support for global passphrase
RFE - plymouth boot support for global passphrase
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
FutureFeature
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-14 16:51 EDT by James Laska
Modified: 2013-09-02 02:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-26 09:29:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2008-08-14 16:51:10 EDT
Description of problem:

Anaconda supports using a "global passphrase" so that any encrypted block devices all use the same passphrase.  The intent is to enter the passphrase once, and have it used throughout, whenever needed.

Having similar support when booting a system using plymouth would be great.  Something to the effect:

  Enter passphrase for /dev/sda1: *******
  Use as a global passphrase? [y/n]: 

Questions this raises:
 Q - should this support be in graphical plymouth boot *and* text-mode boot
 Q - should use of a global passphrase be a boot parameter?
Comment 1 Ray Strode [halfline] 2008-08-14 17:25:38 EDT
So we should just try the previous password.  If it works great, if it fails, prompt.
Comment 2 James Laska 2008-08-15 08:46:39 EDT
Great idea, that simplifies the UI big time.
Comment 3 Alexander Todorov 2008-08-15 10:10:27 EDT
(In reply to comment #1)
> So we should just try the previous password.  If it works great, if it fails,
> prompt.

+1, be as silent as possible.
Comment 4 Ray Strode [halfline] 2008-08-20 16:04:01 EDT
This should be implemented in git master now.

Not in rawhide yet.
Comment 5 Ray Strode [halfline] 2008-08-26 09:29:11 EDT
This is in rawhide now.

Note You need to log in before you can comment on or make changes to this bug.